# GeometryFactory

#### abstract new Cesium.GeometryFactory()
Core/GeometryFactory.js 11

Base class for all geometry creation utility classes that can be passed to `GeometryInstance` for asynchronous geometry creation.

### Methods

#### static Cesium.GeometryFactory.createGeometry(geometryFactory) → Geometry|undefined
Core/GeometryFactory.js 21

Returns a geometry.

Name | Type | Description
--- | --- | ---
`geometryFactory` | GeometryFactory | A description of the circle.

##### Returns:

The computed vertices and indices.